跳转到内容

Tripo3D Remesh

集成

模型 id tripo3d/tripo/remesh
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/tripo3d/tripo/remesh?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.40 400 API 积分 在此页面运行

获取 API 密钥
Tripo 3D #stylized#transform

将现有 3D 文件重新拓扑为目标面数,支持四边形输出和部件保留

Tripo · 3D

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

重网格来源:通过 URL 提供的 3D 模型,大小不超过 150 MB,格式为 GLB、OBJ、FBX 或 STL。

高级 face_limit · quad · bake · part_names

重网格的面数目标;省略时由模型自适应选择。最小值为 500,最大值为 20000;如果 'quad' 为 true,则最大值降为 10000。

重网格时保持分离的部分,可选用先前网格分割得到的名称列表标识。

POST /run/tripo3d/tripo/remesh?wait=20 报价 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/tripo3d/tripo/remesh?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Tripo3D Remesh

从 `mesh_url`(GLB、OBJ、FBX 或 STL,最大 150MB)获取网格,并将其重建为目标 `face_limit` 500 至 20,000 个面。启用 `quad` 后,限制为 500 至 10,000 个面,输出格式为 FBX。使用 `bake` 可将纹理烘焙到结果中。来自之前分割结果的 `part_names` 可保持这些部件分离。

参数

名称类型 默认值允许值 描述
mesh_url必填
类型string
重网格来源:通过 URL 提供的 3D 模型,大小不超过 150 MB,格式为 GLB、OBJ、FBX 或 STL。
quad可选
类型boolean
默认值false
四边形拓扑开关:启用后要求输出 FBX,并将未指定的 'face_limit' 设为 10000。面有 4 条边,而不是其他情况下使用的三角形拓扑。
face_limit可选
类型integer | null
500 – 20,000
重网格的面数目标;省略时由模型自适应选择。最小值为 500,最大值为 20000;如果 'quad' 为 true,则最大值降为 10000。
bake可选
类型boolean
默认值true
作为生成过程一部分,将纹理烘焙到重网格模型上。
part_names可选
类型string[]
重网格时保持分离的部分,可选用先前网格分割得到的名称列表标识。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/tripo/remesh",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
model_mesh
object {url, content_type, file_name, file_size}包含生成的 3D 模型的 GLB 或 FBX 文件,格式取决于 Tripo 生成的内容。
model_urls
object {glb, fbx, base_model, pbr_model}指向 3D 模型其他版本的 URL。
rendered_image
object {url, content_type, file_name, file_size} | null显示生成的 3D 模型的渲染预览。
task_id
string | null用于标识生成模型的可复用 Tripo 任务 ID,可在不再次上传模型的情况下执行 rig 或 rig-check 操作。

更多模型:3D

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/tripo3d/tripo/remesh.md. 所有模型和指南: https://doitong.com/developers/llms.txt